%define upstream_name    ack
%define upstream_version 3.2.0

%{?perl_default_filter}

Name:       %{upstream_name}
Version:    3.3.0
Release:    %mkrel 1

Summary:    Grep-like text finder for large trees of text
License:    Artistic 2.0
Group:      Text tools
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    %{upstream_name}-v%{upstream_version}.tar.xz

BuildRequires: perl(Cwd) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) >= 1.0.150
BuildRequires: perl(File::Next)
BuildRequires: perl(File::Spec) >= 3.0.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Getopt::Long) >= 2.390.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Pod::Perldoc) >= 3.200.0
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Pod::Usage) >= 1.260.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor) >= 1.100.0
BuildRequires: perl(Test::Harness) >= 2.500.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Text::ParseWords) >= 3.100.0
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildRequires: perl(version)
BuildRequires: perl
BuildArch:  noarch

%description
ack is a grep-like program with optimizations for searching through large trees
of source code.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} -ni -e 'print unless /MAN3PODS/' Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Mon Dec 30 2019 tex - 3.3.0-1pclos2020
- new version

* Tue Nov 05 2019 tex - 3.2.0-1pclos2019
- update to 3.20
